#ifndef AUTOMAT_H
#define AUTOMAT_H

#include <QWidget>
#include "mainwindow.h"

namespace Ui {
    class Automat;
}

class Automat : public QWidget {
    Q_OBJECT
public:
    Automat(QWidget *parent = 0);
    ~Automat();
    bool HD;
    bool MHD;
    bool CISS;
    bool RISS;
    bool RISSCISS;
    bool Korel;
protected:
    void changeEvent(QEvent *e);

private:
    Ui::Automat *ui;
public slots:
    void Btn_RUN_clicked();
    void Check_Box_Change(int state);
signals:
    void RUN_Automat();
};

#endif // AUTOMAT_H
